#include <cstdio>
#include <fmt/core.h>
#include "util.hpp"
#include "BaseConfig.hpp"
#include "SubConfig.hpp"

int main(int argc, char * argv[])
{
  if (argc != 4)
    util::error("3 arguments expected");

  BaseConfig goldConfig(argv[3], argv[1], argv[2]);

  SubConfig config(goldConfig);
  auto other = config;

  while (config.moveWordIndex(1))
  {
    if (config.needsUpdate())
      config.update();
  }

  fmt::print(stderr, "ok\n");
  std::scanf("%*c");

  return 0;
}

